How to fix Dell Deployment Toolkit “apply bundles.sh is invalid”

When I booted the Dell Deployment Toolkit ISO for a few of my poweredge servers, I was given an error: “apply_bundles.sh is invalid” When you see this prompt, it’s necessary to re-mount the USB drive to continue using the toolkit. Here’s what you can do to mount your USB drive properly so the installation can proceed: 1. Press <ALT>+<F2> to access a new console 2. Press <Enter> to access a command prompt 3. Type “lsblk” and press <Enter> 4. Look for the file system size that corresponds with the size…

Read More

Upgrade your Dell PowerEdge Firmware from a bootable ISO

This is the easiest (most hands-off, unattended) way to upgrade your server’s firmware/drivers, especially when you don’t run Windows but instead a hypervisor such as VMWare ESXi.     Here’s how you can do it. Download the ISO See the chart below for finding a repository to download your bootable media: (These updates are hosted on box.com but it is an official Dell download center.) PowerEdge Server Generation 13 Tower: PowerEdge T130 PowerEdge T330 PowerEdge T430 PowerEdge T630 Rack: PowerEdge R230 PowerEdge R330 PowerEdge R430 PowerEdge R530 PowerEdge R530xd PowerEdge…

Read More